### Function

# Peas Engine get_default

#### Declaration [src]

    PeasEngine*
    peas_engine_get_default (
      void
    )

#### Description [src]

Return the existing instance of `PeasEngine` or a subclass of it.

If no `PeasEngine` subclass has been instantiated yet, the first call of this function will return a new instance of `PeasEngine`.

Note: this function should never be used when multiple threads are using libpeas API as it is not thread-safe.

#### Return value

Type: `PeasEngine`

The existing instance of `PeasEngine`.

The data is owned by the called function.